Bug 426742 - Untranslatable window title "System Settings"
Summary: Untranslatable window title "System Settings"
Status: RESOLVED FIXED
Alias: None
Product: systemsettings
Classification: Unclassified
Component: general (show other bugs)
Version: 5.19.90
Platform: Archlinux Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-09-19 17:47 UTC by Alexander Potashev
Modified: 2020-09-25 13:39 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.20


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Potashev 2020-09-19 17:47:27 UTC
SUMMARY
Untranslatable window titles "System Settings" and "Info Center".

Tried Russian and Ukrainian localizations, both display "System Settings" in the window title.

STEPS TO REPRODUCE
1. 
2. 
3. 

OBSERVED RESULT


EXPECTED RESULT


SOFTWARE/OS VERSIONS
Windows: 
macOS: 
Linux/KDE Plasma: 
(available in About System)
KDE Plasma Version: 
KDE Frameworks Version: 
Qt Version: 

ADDITIONAL INFORMATION
Comment 1 David Edmundson 2020-09-23 16:26:36 UTC
SettingsBase.cpp:        setWindowTitle(i18n("Info Center"));
SettingsBase.cpp:        setWindowTitle(i18n("System Settings"));


Code looks fine. Probably just translations not being synced up?
Could you check at a .po level?
Comment 2 Alexander Potashev 2020-09-23 20:38:49 UTC
No idea why this happens.

Checked the contents of ru/.../systemsettings.mo (looked up the path with strace), it contains Russian translation for "System Settings".
Comment 3 Alexander Potashev 2020-09-24 18:40:42 UTC
Found it: KLocalizedString::setApplicationDomain() was called too late. Expect a patch from me soon.
Comment 4 Bug Janitor Service 2020-09-25 10:30:58 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/systemsettings/-/merge_requests/19
Comment 5 Alexander Potashev 2020-09-25 13:38:05 UTC
Git commit 14f9c104e23309bfc53701960284953ea23c9b77 by Alexander Potashev.
Committed on 25/09/2020 at 10:22.
Pushed by ngraham into branch 'master'.

Make the user-visible strings defined in KAboutData translatable again.

CCMAIL: nicolas.fella@gmx.de

M  +3    -1    app/main.cpp

https://invent.kde.org/plasma/systemsettings/commit/14f9c104e23309bfc53701960284953ea23c9b77
Comment 6 Nate Graham 2020-09-25 13:38:24 UTC
Git commit 4f28476ddae53c745dcaf1f66cd2dc68e75727dc by Nate Graham, on behalf of Alexander Potashev.
Committed on 25/09/2020 at 13:38.
Pushed by ngraham into branch 'Plasma/5.20'.

Make the user-visible strings defined in KAboutData translatable again.

CCMAIL: nicolas.fella@gmx.de


(cherry picked from commit 14f9c104e23309bfc53701960284953ea23c9b77)

M  +3    -1    app/main.cpp

https://invent.kde.org/plasma/systemsettings/commit/4f28476ddae53c745dcaf1f66cd2dc68e75727dc